/****************************************************************************/
/*                                                                          */
/*                                 DEBUG                                    */
/*                                                                          */
/* Par NineStars                                                            */
/****************************************************************************/

#include "Debug.hpp"


#define DEBUG 1


void debug_pop(int value)
{
    if (!DEBUG) return;
    unsigned char str[10];
    sprintf((char*)str, "%i", value);

    SaveDisp(SAVEDISP_PAGE1);
    PopUpWin(3);
	locate(10,4);
	Print(str);
	Bdisp_PutDisp_DD();
	Sleep(700);
	RestoreDisp(SAVEDISP_PAGE1);
	Bdisp_PutDisp_DD();
}

void debug_pop(float value)
{
    if (!DEBUG) return;
    unsigned char str[10];
    sprintf((char*)str, "%f", value);

    SaveDisp(SAVEDISP_PAGE1);
    PopUpWin(3);
	locate(10,4);
	Print(str);
	Bdisp_PutDisp_DD();
	Sleep(700);
	RestoreDisp(SAVEDISP_PAGE1);
	Bdisp_PutDisp_DD();
}

void debug_pop(const unsigned char *str)
{
    if (!DEBUG) return;
    SaveDisp(SAVEDISP_PAGE1);
    PopUpWin(3);
	locate(8,4);
	Print(str);
	Bdisp_PutDisp_DD();
	Sleep(700);
	RestoreDisp(SAVEDISP_PAGE1);
	Bdisp_PutDisp_DD();
}



void debug_display(int value, int position)
{
    if (!DEBUG) return;
    char str[10];
    sprintf(str, "%i", value);
    locate(0, position);
    Print((unsigned char*)str);
    Bdisp_PutDisp_DD();
}

void debug_display(float value, int position)
{
    if (!DEBUG) return;
    char str[10];
    sprintf(str, "%f", value);
    locate(0, position);
    Print((unsigned char*)str);
    Bdisp_PutDisp_DD();
}

void debug_display(const unsigned char *str, int position)
{
    if (!DEBUG) return;
    locate(0, position);
    Print(str);
    Bdisp_PutDisp_DD();
}

