/****************************************************************************/
/*                                                                          */
/*                                 DEBUG                                    */
/*                                                                          */
/* Par NineStars                                                            */
/****************************************************************************/

#ifndef DEF_DEBUG
#define DEF_DEBUG

extern "C"
{
    #include "fxlib.h"
    #include "stdio.h"
}

// affiche l'argument et stop le programme un instant
void debug_pop(int value);
void debug_pop(float value);
void debug_pop(const unsigned char *str);
void debug_pop(const char *str);

// affiche l'argument sur la gauche sans stopper le programme
void debug_display(int value, int position = 1);
void debug_display(float value, int position = 1);
void debug_display(const unsigned char *str, int position = 1);
void debug_display(const char *str, int position = 1);



#endif // DEF_DEBUG
