/****************************************************************************/
/*                                                                          */
/*                                  GAME                                    */
/*                                                                          */
/****************************************************************************/


#ifndef DEF_GAME
#define DEF_GAME

extern "C"
{
	#include "string.h"
}

#include "Debug.hpp"
#include "Commun.hpp"
#include "Sub.hpp"
#include "Structures.hpp"


class Game
{
public:
	Game();
	void ajouter_ennemi(float x, float y);
	void ajouter_torpille(float x, float y, float vx, float vy, bool ennemi);
	void ajouter_texte(unsigned char* texte);
	void effacer_texte();
public:
	int scene;

	float sub_x;
	float sub_y;
	int sub_vie;
	int sub_torpille_cmpt;
	int sub_bruit;
	unsigned char texte_ligne1[15];
	unsigned char texte_ligne2[15];
	unsigned char texte_ligne3[15];
	unsigned char texte_ligne4[15];
	int score;


	Sub ennemis[MAX_ENNEMIS];
	Torpille torpilles[MAX_TORPILLES];
};


#endif
