/****************************************************************************/
/*                                                                          */
/*                               SCENE MENU                                 */
/*                                                                          */
/****************************************************************************/


#include "Scene_Menu.hpp"
extern Game game;


/****************************************************************************/
/*                            INITIALSATION                                 */
/****************************************************************************/
Scene_Menu::Scene_Menu()
{
	
}


/****************************************************************************/
/*                          launch the scene                                */
/****************************************************************************/
void Scene_Menu::start()
{
	while(game.scene == SCENE_MENU)
	{
		// mise à jour des graphismes
		graphics_update();
		// mise à jour du clavier
		input_update();
		// gestion du jeu
		engine_update();
		// régulation des fps
		time_set_fps(FPS);
	}
}


/****************************************************************************/
/*                          update the screen                               */
/****************************************************************************/
void Scene_Menu::graphics_update()
{
	ML_clear_vram();

	ML_bmp_or(sprite_presentation, 0, 0, 128, 64);

	ML_display_vram();
}


/****************************************************************************/
/*                           update the scene                               */
/****************************************************************************/
void Scene_Menu::engine_update()
{
	if (input_any_key())
	{
		game.Game();
		game.scene = SCENE_COMMANDE;
	}
}








